Loading...
Searching...
No Matches
triple Struct Reference

`#include <dataquad.h>`

## Data Fields

double | x
double | y
double | z
double | sm

## Detailed Description

Point structure to keep coordinates

It also contains smoothing for the given point.

Definition at line 38 of file dataquad.h.

## Field Documentation

## sm

double triple::sm

variable smoothing

Definition at line 42 of file dataquad.h.

Referenced by IL_matrix_create_alloc(), quad_get_points(), and quad_point_new().

## x

double triple::x

Definition at line 39 of file dataquad.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_grid_calc_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_matrix_create_alloc(), quad_get_points(), and quad_point_new().

## y

double triple::y

Definition at line 40 of file dataquad.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_grid_calc_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_matrix_create_alloc(), quad_get_points(), and quad_point_new().

## z

double triple::z

Definition at line 41 of file dataquad.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), quad_get_points(), and quad_point_new().

The documentation for this struct was generated from the following file:

- dataquad.h